Package org.kie.api.runtime.rule

# Interface PropagationContext

public interface PropagationContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DELETION`
  `static final int`
  `EXPIRATION`
  `static final int`
  `INSERTION`
  `static final int`
  `MODIFICATION`
  `static final int`
  `RULE_ADDITION`
  `static final int`
  `RULE_REMOVAL`
  `static final String[]`
  `typeDescr`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FactHandle`
  `getFactHandle()`
  `long`
  `getPropagationNumber()`
  `Rule`
  `getRule()`
  The rule that caused the working memory action that created this PropagationContext.
  `int`
  `getType()`
  The PropagationContextType, numbers may change between Drools versions.

- ## Field Details

  - ### INSERTION

    static final int INSERTION
    See Also:
      - Constant Field Values

  - ### DELETION

    static final int DELETION
    See Also:
      - Constant Field Values

  - ### MODIFICATION

    static final int MODIFICATION
    See Also:
      - Constant Field Values

  - ### RULE_ADDITION

    static final int RULE_ADDITION
    See Also:
      - Constant Field Values

  - ### RULE_REMOVAL

    static final int RULE_REMOVAL
    See Also:
      - Constant Field Values

  - ### EXPIRATION

    static final int EXPIRATION
    See Also:
      - Constant Field Values

  - ### typeDescr

    static final String[] typeDescr

- ## Method Details

  - ### getPropagationNumber

    long getPropagationNumber()

  - ### getRule

    Rule getRule()
    The rule that caused the working memory action that created this PropagationContext. If this working memory action was done from java this is null.
    Returns:
      rule that caused the working memory action

  - ### getFactHandle

    FactHandle getFactHandle()
    Returns:
      fact handle that was inserted, updated or retracted that created the PropagationContext

  - ### getType

    int getType()
    The PropagationContextType, numbers may change between Drools versions. Or we may eventually switch this to an enum. INSERTION = 0; DELETION = 1; MODIFICATION = 2; RULE_ADDITION = 3; RULE_REMOVAL = 4; EXPIRATION = 5;
    Returns:
      type of the propagation context